uk.gov.hmrc.play.fsm.JourneyController.internal.SingleArgumentActionsDSL

# SingleArgumentResolver

###
Related Doc: package SingleArgumentActionsDSL

#### final class SingleArgumentResolver extends Resolver

Linear Supertypes
SingleArgumentActionsDSL.Resolver, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SingleArgumentResolver
2. Resolver
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SingleArgumentResolver(a: A)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply[R](f: GetAsyncFunction[R], request: Request[_])(implicit ec: ExecutionContext): Future[TupleWith[R]]

   Definition Classes
     SingleArgumentResolver → Resolver

5. #### def apply[P](f: TransitionWithRequestAnd[P], r: Request[_]): (P) ⇒ JourneyModel.Transition

   Definition Classes
     SingleArgumentResolver → Resolver

6. #### def apply(f: TransitionWithRequest, r: Request[_]): JourneyModel.Transition

   Definition Classes
     SingleArgumentResolver → Resolver

7. #### def apply[P](f: TransitionWith[P]): (P) ⇒ JourneyModel.Transition

   Definition Classes
     SingleArgumentResolver → Resolver

8. #### def apply(f: Transition): JourneyModel.Transition

   Definition Classes
     SingleArgumentResolver → Resolver

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from SingleArgumentActionsDSL.Resolver

### Inherited from AnyRef

### Inherited from Any

### Ungrouped